summaryrefslogtreecommitdiff
path: root/tests
diff options
context:
space:
mode:
authorIan Jackson <ijackson@chiark.greenend.org.uk>2017-07-09 16:29:38 +0100
committerIan Jackson <ijackson@chiark.greenend.org.uk>2017-07-09 16:29:38 +0100
commit18413810f983efbd083a2fd0cbc2c2cbbadc558b (patch)
treeadae9d497537ae2f4faed6de694f0ada08e8ff57 /tests
parentbada5f43152b731b980626f5f995da1899bc568d (diff)
parent166121d66d38a3f6584222a03558493c1a23de72 (diff)
Merge branch 'stable'
Signed-off-by: Ian Jackson <ijackson@chiark.greenend.org.uk>
Diffstat (limited to 'tests')
-rw-r--r--tests/lib-core1
-rwxr-xr-xtests/tests/badcommit-rewrite17
-rwxr-xr-xtests/tests/multisuite2
-rwxr-xr-xtests/tests/quilt4
4 files changed, 20 insertions, 4 deletions
diff --git a/tests/lib-core b/tests/lib-core
index 6cdffeb..d65a1ff 100644
--- a/tests/lib-core
+++ b/tests/lib-core
@@ -24,6 +24,7 @@ t-set-using-tmp () {
export GNUPGHOME=$tmp/nonexistent
git config --global user.email 'dgit-test@debian.example.net'
git config --global user.name 'dgit test git user'
+ git config --global protocol.ext.allow always
}
t-filter-out-git-hyphen-dir () {
diff --git a/tests/tests/badcommit-rewrite b/tests/tests/badcommit-rewrite
index b7fc701..3e2f37e 100755
--- a/tests/tests/badcommit-rewrite
+++ b/tests/tests/badcommit-rewrite
@@ -5,7 +5,12 @@ set -e
t-setup-import examplegit
t-tstunt-parsechangelog
-cd example
+cd $tmp/git/$p.git
+git config core.sharedRepository true
+chmod -R g+w objects
+umask 022
+
+cd $tmp/example
suite=stable
@@ -26,6 +31,9 @@ t-has-parent-or-is $rstable $badcommit
fixup=${DGIT_BADCOMMIT_FIXUP-dgit-badcommit-fixup}
cd $tmp/git/$p.git
+git gc --aggressive --prune=all
+rmdir objects/* ||:
+
$fixup --real
cd $tmp/$p
@@ -44,4 +52,11 @@ t-dgit fetch stable
t-expect-fail "child $rstable lacks parent $badcommit" \
t-has-parent-or-is $rstable $badcommit
+check_shared () {
+ find "$1" -perm -200 \! -perm -020 -ls |tee $tmp/badperm
+ test -f $tmp/badperm -a ! -s $tmp/badperm
+}
+
+check_shared $tmp/git/$p.git/objects
+
t-ok
diff --git a/tests/tests/multisuite b/tests/tests/multisuite
index d39475b..fe655d0 100755
--- a/tests/tests/multisuite
+++ b/tests/tests/multisuite
@@ -32,7 +32,7 @@ multi-good
cd ..
-t-dgit clone --no-rm-on-error $p stable,unstable ./$p.clone
+t-dgit clone $p stable,unstable ./$p.clone
cd $p.clone
diff --git a/tests/tests/quilt b/tests/tests/quilt
index 1a921b3..f26f744 100755
--- a/tests/tests/quilt
+++ b/tests/tests/quilt
@@ -41,8 +41,8 @@ iteration
diff <<END - debian/patches/series
ups-topic/ups-yml
-spongiform-upstream-new-file-incl-change
-zorkmid-options-=-42
+spongiform-upstream-new-file-incl-change.patch
+zorkmid-options-=-42.patch
END
for f in `cat debian/patches/series`; do